Bug 12193 - segment fault when call glBitmap if DrawBuffer mode is GL_LEFT
segment fault when call glBitmap if DrawBuffer mode is GL_LEFT
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
x86 (IA32) Linux (All)
: medium normal
Assigned To: haihao
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 23:42 UTC by WuNian
Modified: 2009-08-24 12:27 UTC (History)
1 user (show)

See Also:


Attachments
test case (1.47 KB, text/plain)
2007-08-27 23:43 UTC, WuNian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description WuNian 2007-08-27 23:42:42 UTC
If specify DrawBuffer mode to GL_LEFT, then call glBitmap, segment fault will occur. Below is the backtrace info:

(gdb) bt
#0  0x00002b499c0e4a11 in intelBitmap (ctx=0x610f70, x=<value optimized out>, 
    y=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>, unpack=0x61d450, 
    pixels=0x7fff0fd67100 '�' <repeats 200 times>...)
    at intel_pixel_bitmap.c:282
#1  0x00002b499c22bbcf in _mesa_Bitmap (width=8, height=8, xorig=0, yorig=0, 
    xmove=0, ymove=0, bitmap=0x7fff0fd67100 '�' <repeats 200 times>...)
    at main/drawpix.c:348
#2  0x00002b499ad9adb3 in glBitmap (width=8, height=8, xorig=0, yorig=0, 
    xmove=0, ymove=0, bitmap=0x7fff0fd67100 '�' <repeats 200 times>...)
    at ../../../src/mesa/glapi/glapitemp.h:125
#3  0x0000000000400f7f in test () at drawbuffer_bitmap.c:57
#4  0x0000000000401084 in display () at drawbuffer_bitmap.c:80
Comment 1 WuNian 2007-08-27 23:43:12 UTC
Created attachment 11304 [details]
test case
Comment 2 haihao 2007-08-28 21:56:55 UTC
fixed in git.
mesa commit: f6a89e1884535a6136900febc163ee930c1d2179
Comment 3 ajax at nwnk dot net 2009-08-24 12:27:54 UTC
Mass version move, cvs -> git